Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 522134 - Make dhcpd init script LSB compilant
Summary: Make dhcpd init script LSB compilant
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jiri Popelka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: InitScriptsProject 610128
TreeView+ depends on / blocked
 
Reported: 2009-09-09 14:48 UTC by Josef Skladanka
Modified: 2018-01-11 13:38 UTC (History)
2 users (show)

Fixed In Version: dhcp-4.1.0p1-11.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 610128 (view as bug list)
Environment:
Last Closed: 2009-11-11 12:53:32 UTC
Type: ---


Attachments (Terms of Use)

Description Josef Skladanka 2009-09-09 14:48:17 UTC
Description of problem:
dhcpd has few issues, I'll cover them all in this post.

1) The initscript does not match the template <https://fedoraproject.org/wiki/Packaging/SysVInitScript#Initscript_template> - from what I tested it lacks the exec and config variables

2) force-reload action is not implemented

3) stop action on stopped dhcpd returns 7 instead of 0

How reproducible:
always

Steps to Reproduce:
1. service dhcpd start
2. service dhcpd stop
3. service dhcpd stop
  
Actual results:
The second stop returns 7

Expected results:
The second stop returns 0


Note You need to log in before you can comment on or make changes to this bug.